export interface Params {
    [index: string]: any;
}
export interface RequestInterface {
    url: string;
    method?: string;
    data?: Params;
    done?: (data: any, status: number, response: Response) => void;
    fail?: (data: any, status: number, response: Response) => void;
}
export declare type RequestMethodType = 'GET' | 'PUT' | 'POST' | 'DELETE' | 'HEAD' | 'OPTIONS';
/**
 * 基于 fetch 的请求组件
 * @param config
 */
export default function request(config: RequestInterface): boolean;
