(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var request = function (url, options) {
        if (options === void 0) { options = {}; }
        var _a = options.headers, headers = _a === void 0 ? {} : _a;
        if (headers.set) {
            headers.set('X-Requested-With', 'XMLHttpRequest');
        }
        else {
            headers['X-Requested-With'] = 'XMLHttpRequest';
        }
        options.headers = headers;
        return fetch(url, options);
    };
    exports.default = request;
});
//# sourceMappingURL=fetch.js.map